Imagick::readImageFile
Imagick::reduceNoiseImage
Imagick
PHP Manual

# Imagick::recolorImage

Recolors image

### Description

bool Imagick::recolorImage ( array `$matrix` )

Translate, scale, shear, or rotate image colors. This method supports variable sized matrices but normally 5x5 matrix is used for RGBA and 6x6 is used for CMYK. The last row should contain the normalized values. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`matrix`

  The matrix containing the color values

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::displayImage